AM263Px MCU+ SDK: Core_config_t Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
Core_config_t Struct Reference
APIs for SOC Specific Device Drivers » APIs for RESOLVER

## Detailed Description

Struct holds the Resolver Core Configurations Can be passed to RDC_coreParamsInit(Core_config_t* coreParams); Note : this is also called in the RDC_paramsInit(RDC_configParams* params);.

## Data Fields
bool | BpfDc_bpfEnable
bool | BpfDc_offsetCorrectionEnable
uint8_t | BpfDc_dcOffCal1
uint8_t | BpfDc_dcOffCal2
int16_t | BpfDc_manualSin
int16_t | BpfDc_manualCos
uint8_t | IdealSample_overrideValue
uint16_t | IdealSample_absThresholdValue
uint8_t | IdealSample_sampleAdjustCount
uint8_t | IdealSample_mode
bool | IdealSample_bottomSampleEnable
bool | Pg_estimationEnable
uint8_t | Pg_estimationLimit
bool | Pg_correctionEnable
bool | Pg_autoCorrectionEnable
uint16_t | Pg_sinGainBypassValue
uint16_t | Pg_cosGainBypassValue
int16_t | Pg_cosPhaseBypassValue
Track2Constants_t | track2Constants

## Field Documentation

## ◆ BpfDc_bpfEnable

bool Core_config_t::BpfDc_bpfEnable

## ◆ BpfDc_offsetCorrectionEnable

bool Core_config_t::BpfDc_offsetCorrectionEnable

## ◆ BpfDc_dcOffCal1

uint8_t Core_config_t::BpfDc_dcOffCal1

## ◆ BpfDc_dcOffCal2

uint8_t Core_config_t::BpfDc_dcOffCal2

## ◆ BpfDc_manualSin

int16_t Core_config_t::BpfDc_manualSin

## ◆ BpfDc_manualCos

int16_t Core_config_t::BpfDc_manualCos

## ◆ IdealSample_overrideValue

uint8_t Core_config_t::IdealSample_overrideValue

## ◆ IdealSample_absThresholdValue

uint16_t Core_config_t::IdealSample_absThresholdValue

## ◆ IdealSample_sampleAdjustCount

uint8_t Core_config_t::IdealSample_sampleAdjustCount

## ◆ IdealSample_mode

uint8_t Core_config_t::IdealSample_mode

## ◆ IdealSample_bottomSampleEnable

bool Core_config_t::IdealSample_bottomSampleEnable

## ◆ Pg_estimationEnable

bool Core_config_t::Pg_estimationEnable

## ◆ Pg_estimationLimit

uint8_t Core_config_t::Pg_estimationLimit

## ◆ Pg_correctionEnable

bool Core_config_t::Pg_correctionEnable

## ◆ Pg_autoCorrectionEnable

bool Core_config_t::Pg_autoCorrectionEnable

## ◆ Pg_sinGainBypassValue

uint16_t Core_config_t::Pg_sinGainBypassValue

## ◆ Pg_cosGainBypassValue

uint16_t Core_config_t::Pg_cosGainBypassValue

## ◆ Pg_cosPhaseBypassValue

int16_t Core_config_t::Pg_cosPhaseBypassValue

## ◆ track2Constants

Track2Constants_t Core_config_t::track2Constants